All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
sos.bas File Reference

Example: blink user LED 3. More...

`#include "../pruio/pruio.bi"`
Include dependency graph for sos.bas:

Go to the source code of this file.

## Macros

#define | PIN /* 24 */
| The CPU ball to control (user LED 3).
#define | OUT_K
| Output a short blink. More...
#define | OUT_L
| Output a long blink. More...
#define | OUT_S /* OUT_K : OUT_K : OUT_K : SLEEP 150 */
| Output a 'S' (short - short - short).
#define | OUT_O /* OUT_L : OUT_L : OUT_L : SLEEP 150 */
| Output an 'O' (long - long - long).

## Functions

int | main ()

## Variables

VAR | io = NEW PruIo
| Create a PruIo structure, wakeup subsystems.
VAR | pinmode = .BallConf[PIN]
| The current pinmode.

## Detailed Description

Example: blink user LED 3.

This file contains an example on how to use libpruio to control the user LED 3 (near ethernet connector) on the beaglebone board. It shows how to unlock a CPU ball that is used by the system. And it shows how to control the unlocked ball.

Licence: GPLv3

Copyright 2014 by Thomas{ dOt ]Freiherr[ At ]gmx[ DoT }net

Compile by: `fbc -w all sos.bas`

Definition in file sos.bas.

## Macro Definition Documentation

#define OUT_K

Value:
/* .Gpio->setValue(PIN, pinmode + 128) : SLEEP 150 _
: .Gpio->setValue(PIN, pinmode) : SLEEP 100 */

Output a short blink.

Definition at line 25 of file sos.bas.

#define OUT_L

Value:
/* .Gpio->setValue(PIN, pinmode + 128) : SLEEP 350 _
: .Gpio->setValue(PIN, pinmode) : SLEEP 100 */

Output a long blink.

Definition at line 28 of file sos.bas.

## Function Documentation

int main | ( |  | ) |

The main function.

Definition at line 69 of file sos.bas.

Here is the call graph for this function: